Imports System.Data.SqlClient

Partial Class GridUploads
    Inherits System.Web.UI.Page

	Protected Sub Page_Load(ByVal s As Object, ByVal e As System.EventArgs) Handles Me.Load

		If CheckIFrameMode() Then Return

		If Not IsPostBack Then BindStudentsGrid()

	End Sub


	Protected Sub BindStudentsGrid()
		' this routine gets data from the db and binds to the grid

		Dim conn As SqlConnection
		Dim cmd As SqlCommand
		Dim rdr As SqlDataReader

		conn = New SqlConnection("Server=SQL2005;Database=dbStudents;uid=sa;pwd=ppppp;")
		conn.Open()

		cmd = New SqlCommand()
		cmd.Connection = conn
		cmd.CommandText = "SELECT * FROM tblStudents"

		rdr = cmd.ExecuteReader()

		gvUploads.DataSource = rdr
		gvUploads.DataBind()

		rdr.Close()
		conn.Close()
	End Sub

	Protected Function CheckIFrameMode() As Boolean
		' this function checks if the page is to be displayed for iframe
		' it is checked by querystring parameter named MODE
		' when in iframe mode, all panels except for the upload panel should be hidden

		If Request.QueryString("MODE") = "UPLOAD" Then

			pnlUpload.Visible = True
			pnlMain.Visible = False

			' need to set this to track StudentID
			ViewState("StudentID") = Request.QueryString("ID")

			Return True

		Else

			pnlUpload.Visible = False
			pnlMain.Visible = True

			Return False

		End If
	End Function


	Protected Sub btnUpload_Click(ByVal o As Object, ByVal e As EventArgs) _
	   Handles btnUpload.Click

		Dim studentId As Integer = CInt(ViewState("StudentID"))

		Try

			If upFile.HasFile Then

				' save the uploaded file

				upFile.SaveAs(Server.MapPath(".") & upFile.FileName)

				lblMessage.Text = "File uploaded successfully."

			Else

				' there was no file to upload, just show message

				lblMessage.Text = "No file selected for upload."

			End If

		Catch ex As Exception

			' show error if occurred

			lblMessage.Text = "Error: " & ex.Message

		End Try

		' hide other controls in the panel
		imgLoader.Visible = False
		pnlUploadControl.Visible = False

		' generate JS script for next file upload
		Dim s As String
		s = "parent.StartFilesUpload();"

		ClientScript.RegisterStartupScript(Me.GetType(), "", s, True)

	End Sub

End Class
